* {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

body {
  background-color: rgb(246, 247, 251);
}

#app-container {
  max-width: 700px;
  height: auto;
  background-color: white;
  padding: 20px;
  margin: 20px auto;
}

.info-box {
  width: 50px;
  height: 60px;
  background-color: rgb(248, 249, 251);
  border-radius: 5px;
  border: 2px solid rgb(232, 236, 239);
  display: flex;
  text-align: center;
  justify-content: center;
  flex-direction: column;
  flex: 1;
}

#info-panel {
  display: flex;
  justify-content: space-around;
  gap: 50px;
}

.info-value {
  font-size: 20px;
  color: rgb(46, 62, 78);
}

.info-label {
  font-size: 15px;
  color: rgb(122, 129, 134);
}

#seesaw-plank {
  width: 400px;
  height: 20px;
  background-color: rgb(93, 78, 57);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  transition: transform 0.5s ease-out;
}

#seesaw-container-wrapper {
  margin-top: 20px;
  height: 450px;
  border: 2px solid rgb(227, 232, 236);
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(236, 240, 241);
  border-radius: 5px;
}

#seesaw-container {
  width: 400px;
  height: 100%;
  position: relative;
}

#seesaw-ground {
  width: 100%;
  height: 30px;
  left: 0;
  position: absolute;
  background-color: rgb(149, 165, 165);
  bottom: 0%;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border-top: 2px solid rgb(132, 145, 145);
  box-sizing: border-box;
}

#seesaw-pivot {
  width: 30px;
  height: 30px;
  background-color: rgb(53, 74, 95);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 0);
  clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
  z-index: 1;
}

#control {
  width: auto;
  height: 30px;
  margin-top: 20px;
  display: flex;
  justify-content: center;
}

#button {
  border-radius: 5px;
  border: 1px solid black;
  background-color: rgb(45, 62, 80);
  color: white;
  width: 150px;
  height: 40px;
  font-size: 15px;
}

#button:hover {
  background-color: #465666;
}

#log {
  background-color: whitesmoke;
  height: 200px;
  width: auto;
  border: 2px solid white;
  margin-top: 20px;
  padding: 10px;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
}

.log-item {
  height: auto;
  min-height: 20px;
  border-left: 2px solid blue;
  margin: 5px;
  background-color: white;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  padding: 5px 5px 5px 20px;
  flex-shrink: 0;
  display: flex;
  align-items: center;
}

#object-preview {
  position: absolute;
  display: none;
  background-color: rgba(52, 152, 219, 0.7);
  border-radius: 50%;
  color: white;
  font-weight: bold;
  align-items: center;
  justify-content: center;
  pointer-events: none;
  z-index: 1000;
  width: 30px;
  height: 30px;
}

.object {
  width: 30px;
  height: 30px;
  border-radius: 100%;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-weight: bold;
  z-index: 3;
}
#object-preview::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%);
  width: 2px;
  height: var(--guide-height, 100px);
  background: lightblue;
  pointer-events: none;
  z-index: -1;
}
.scale-label {
  position: absolute;
  top: 2px;
  width: 20px;
  text-align: center;
  font-size: 10px;
  font-weight: bold;
  color: white;
  pointer-events: none;
  transform: translateX(-50%);
}
